Перейти к содержимому

PATCH /v2/templates/{templateID} ​

Update template (v2)

Update template

Параметры ​

  • templateID · string · путь · обязательно

Тело запроса ​

Обязательно: да

application/json ​

Схема: TemplateUpdateRequest

  • public · boolean · необязательно

    Whether the template is public or only accessible by the team

Ответы ​

200 ​

The template was updated successfully

Content-Type: application/json

Схема: TemplateUpdateResponse

  • names · array<string> · обязательно

    Names of the template (namespace/alias format when namespaced)

400 ​

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401 ​

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500 ​

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error